$(function () {
    FastClick.attach(document.body);
});

var app = angular.module('Mbooking', []);
app.controller('CreateController', function ($http, $scope) {
    var mask;

    aoyou.init();

    $(function () {
        //获取url传递的参数
        var productId = api.getQueryString('pid');
        var departureDate = api.getQueryString('dt');
        var producttype = api.getQueryString('pt');
        var groupId = api.getQueryString('gid');
        var microshopid = api.getCookie('microshopid');
        var memberid = api.getMemberId();

        var param = "";
        var selectIndex = 0;
        $scope.d = { GroupID: groupId, ProductType: producttype, ProductID: productId };//填写页面主信息
        $scope.p = [];//出行人
        $scope.m = { MicroShopID: microshopid };//微店

        //微店首页
        $('#microHome').click(function (e) {
            e.preventDefault();
            if (api.getCookie('microshopowner') == '1') {
                window.top.location.href = 'http://weshop.aoyou.com/Transfer?type=0';
            }
            else {
                window.top.location.href = 'http://weshop.aoyou.com/Transfer?type=1&shopid=' + microshopid;
            }
        });
        if (api.getCookie('microshopowner') == '1') {
            $('#microMy').hide();
            $('#microHome').css('right', '10px');
        }

        //微店个人中心
        $('#microMy').click(function (e) {
            e.preventDefault();
            window.top.location.href = "http://mmy.aoyou.com/Home";
        });

        $scope.cards = [
            { "id": 5, "text": "因私护照（P）" },
            { "id": 6, "text": "因公护照（I）" },
            { "id": 7, "text": "外交护照（D）" },
            { "id": 8, "text": "港澳通行证" },
            { "id": 9, "text": "台湾通行证" },
            { "id": 4, "text": "签证身份书" },
            { "id": 10, "text": "其他" }
        ];

        $scope.places = [
            { key: 1, value: '北京' },
            { key: 10, value: '安徽省' },
            { key: 761, value: '澳门' },
            { key: 11, value: '福建省' },
            { key: 27, value: '甘肃省' },
            { key: 19, value: '广东省' },
            { key: 20, value: '广西' },
            { key: 23, value: '贵州省' },
            { key: 21, value: '海南省' },
            { key: 3, value: '河北省' },
            { key: 14, value: '河南省' },
            { key: 16, value: '黑龙江省' },
            { key: 17, value: '湖北省' },
            { key: 18, value: '湖南省' },
            { key: 6, value: '吉林' },
            { key: 8, value: '江苏省' },
            { key: 12, value: '江西省' },
            { key: 5, value: '辽宁省' },
            { key: 15, value: '内蒙古' },
            { key: 29, value: '宁夏' },
            { key: 28, value: '青海省' },
            { key: 13, value: '山东省' },
            { key: 4, value: '山西省' },
            { key: 26, value: '陕西省' },
            { key: 7, value: '上海市' },
            { key: 22, value: '四川省' },
            { key: 762, value: '台湾' },
            { key: 2, value: '天津市' },
            { key: 25, value: '西藏' },
            { key: 761, value: '香港' },
            { key: 30, value: '新疆' },
            { key: 24, value: '云南省' },
            { key: 9, value: '浙江省' },
            { key: 31, value: '重庆市' },
            { key: 1266, value: '其他' }
        ];

        $scope.IsHiddenCustom = true;

        $scope.$apply();

        $('#aoyou_mainpage .aoyou-back').on('click', function () {
          
            if (api.getQueryString("devicetype") == "ios") {
                window.top.location.href="action.back://";
            }
            else if (api.getQueryString("devicetype") == "android") {
                window.action.exec('back', '');
            }
            else {
                var productUrl = "http://m.aoyou.com/Domestic";
                var tag = api.getQueryString('i') == null ? '1' : api.getQueryString('i');
                if (producttype == 1) {
                    productUrl += "Group/G" + productId + 'i' + tag;
                }
                else {
                    productUrl += "Package/P" + productId + 'i' + tag;
                }
                window.top.location.href = productUrl;
            }
        });


        //初始化预定信息
        if (producttype == 1) {//参团
            param = JSON.stringify({
                ProductID: productId,
                GroupID: groupId,
                MemberId: memberid
            });

            api.post($http, $scope, api.config.bookinglogic, 'Product', 'GetGroupProductPriceInfo', param, false, function (obj) {
                if (obj.ErrorCode == 200) {
                    if (obj.JsonResult != null) {
                        var jsonData = JSON.parse(obj.JsonResult);
                        jsonData.DepartDate = dateFormat(new Date(jsonData.DepartDate.replace(/-/g, '/').replace(/T/, ' ')), "yyyy-MM-dd");
                        jsonData.ProductType = jsonData.ProductType == 0 ? producttype : jsonData.ProductType;

                        $scope.d = jsonData;
                        $scope.p.push({ Name: '添加出行人信息', MemberGuestID: '' });
                    }
                }
                else if (obj.ErrorCode = -3) {
                    aoyou.toast("网络连接出错，请返回上一页重试");
                    //window.action.exec('disconnect', '');
                }
                else {
                    aoyou.toast(obj.ErrorMsg);
                }
            });
        }
        else if (producttype == 4) {//自由行   
            param = JSON.stringify({
                productId: productId,
                DepartDate: departureDate,
                MemberId: memberid
            });
            api.post($http, $scope, api.config.bookinglogic, 'Product', 'GetPackageProductPriceInfo', param, false, function (obj) {
                if (obj.ErrorCode == 200) {
                    if (obj.JsonResult != null) {
                        var jsonData = JSON.parse(obj.JsonResult);
                        //格式化出发时间
                        jsonData.DepartDate = dateFormat(new Date(departureDate.replace(/-/g, '/').replace(/T/, ' ')), "yyyy-MM-dd");
                        jsonData.ProductType = jsonData.ProductType == 0 ? producttype : jsonData.ProductType;
                        jsonData.MinTripNumber = parseInt(jsonData.MinTripNumber);
                        //最小预定人数
                        jsonData.MinTripNumberValue = jsonData.MinTripNumber;
                        if (jsonData.MinTripNumber > 2) {
                            jsonData.MinTripNumberValue = 2;
                        }

                        jsonData.AdultCount = 2;
                        jsonData.ChildCount = 0;
                        jsonData.RoomCount = 1;

                        $scope.d = jsonData;

                        for (var i = 0; i < 2; i++) {
                            $scope.p.push({ Name: '添加出行人信息', MemberGuestID: '' });
                        }

                        aoyou.init();
                    }
                }
                else if (obj.ErrorCode = -3) {
                    aoyou.toast("网络连接出错，请返回上一页重试");
                    //window.action.exec('disconnect', '');
                }
                else {
                    aoyou.toast(obj.ErrorMsg);
                }
            });
        }


        //$scope.$apply();

        //------------------------------参团------------------------------------------  
        //参团+ -点击事件
        $("#ulGroupPrice").delegate("button", "tap", function () {
            var myprice = 0;
            var $this = $(this);
            var priceindex = $this.parent().find("input")[0].dataset.priceindex;
            var inputCount = parseInt($this.parent().find("input").val());//获取当前的数量
            var jsonData = $scope.d;

            if ($this.text() == '+') {
                $this.parent().find(".aoyou-numbox-btn-minus").removeAttr('disabled');
                inputCount = inputCount + 1;
                $this.parent().find("input").val(inputCount);
                $scope.p.push({ Name: '添加出行人信息', MemberGuestID: '' });
                if (inputCount >= parseInt($this.parent().attr("data-numbox-max"))) {
                    $this.attr('disabled', 'disabled');
                }
            } else {
                $this.parent().find(".aoyou-numbox-btn-plus").removeAttr('disabled');
                inputCount = inputCount - 1;
                $this.parent().find("input").val(inputCount);
                $scope.p.pop();
                if (inputCount <= parseInt($this.parent().attr("data-numbox-min"))) {
                    $this.attr('disabled', 'disabled');
                }
            }
            //获取最新的数量
            jsonData.PriceDetailList[priceindex].ReserveCount = inputCount;

            //获取当前的总价格
            $("#ulGroupPrice input").each(function () {
                myprice += parseInt($(this)[0].dataset.price * $(this).val());
            });

            jsonData.TotalPrice = myprice;
            $scope.d = jsonData;

            $('.aoyou-price-submit').find('em').text("￥" + myprice);
            $scope.$apply();
        });

        //------------------------------自由行------------------------------------------

        $.extend({
            aoyouone: function (id) {
                $("#aoyou_mainpage").addClass('aoyou-hidden');
                $("#travelers_select").addClass('aoyou-hidden');
                $("#travelers_person").addClass('aoyou-hidden');

                $("#" + id).removeClass();
            }
        });

        //自由行+ -点击事件
        $("#ulPackagePrice .aoyou-btn").on("tap", function () {
            var myprice = 0;
            var $this = $(this);
            var divInfo = $this.parent().parent().attr('id');
            var inputCount = parseInt($this.parent().find("input").val());
            var jsonData = $scope.d;

            //控制+ -样式和最大最小限制
            if ($this.text() == '+') {
                inputCount = inputCount + 1;
                if (inputCount >= parseInt($this.parent().attr("data-numbox-max"))) {
                    $this.attr('disabled', 'disabled');
                }
                $this.parent().find(".aoyou-numbox-btn-minus").removeAttr('disabled');
            } else {
                inputCount = inputCount - 1;
                if (inputCount <= parseInt($this.parent().attr("data-numbox-min"))) {
                    $this.attr('disabled', 'disabled');
                }
                $this.parent().find(".aoyou-numbox-btn-plus").removeAttr('disabled');
            }

            //添加成人时，添加一行出行人
            if (divInfo == 'divAdult' || divInfo == 'divChild') {
                if ($this.text() == "+") {
                    $scope.p.push({ Name: '添加出行人信息', MemberGuestID: '' });
                } else {
                    $scope.p.pop();
                }
            }

            //判断+ -，更换样式，获取最新的数量
            if (inputCount >= 0) {
                $this.parent().find("input").addClass("aoyou-numbox-input-sel");

                switch (divInfo) {
                    case "divAdult":
                        jsonData.AdultCount = inputCount;
                        break;
                    case "divChild":
                        jsonData.ChildCount = inputCount;
                        break;
                    case "divRoom":
                        jsonData.RoomCount = inputCount;
                        break;
                    default:
                        break;
                }
            }

            var cha = 0;
            //总价
            myprice = jsonData.AdultCount * jsonData.AdultPrice + jsonData.ChildCount * jsonData.ChildPrice + jsonData.RoomCount * jsonData.RoomPrice;
            //单间差
            if (jsonData.AdultCount + jsonData.ChildCount < 2 * jsonData.RoomCount) {
                var singleRoomPrice = jsonData.RoomPrice / 2;
                //计算多余的半间房的数量
                var halfRoomCount = jsonData.RoomCount * 2 - jsonData.AdultCount - jsonData.ChildCount;
                cha = Math.round(singleRoomPrice * halfRoomCount);
            }
            jsonData.TotalPrice = myprice;
            $scope.d = jsonData;
            $scope.cha = cha;
            $scope.$apply();
            $('.aoyou-price-submit').find('em').text("￥" + myprice);
        });

        $(".aoyou-tip-switch").on("tap", function (e) {
            var $this = $(this);
            if ($this.text() == "稍后提供") {
                $this.text("现在提供");
                $scope.IsHiddenCustom = true;
            } else {
                $this.text("稍后提供");
                $scope.IsHiddenCustom = false;
            }
            $scope.$apply();
        });

        $("#aoyou_travelers").on("tap", "li", function (e) {
            $.aoyouone("travelers_select");
            selectIndex = $(this).children('label').attr('data-index');
            var param = JSON.stringify({
                MemberID: api.getMemberId()
            });
            api.post($http, $scope, api.config.memberlogic, 'TripPerson', 'GetTripPersonList', param, false, function (obj) {
                if (obj.ErrorCode == 200) {
                    if (obj.JsonResult != null) {

                        $scope.Travelers = JSON.parse(obj.JsonResult);
                    }
                    else {
                        aoyou.toast(obj.ErrorMsg);
                    }
                }
            });
        });

        $('#travelers_select .aoyou-back').on("click", function () {
            $.aoyouone("aoyou_mainpage");
        });

        $('#travelers_person .aoyou-back').on("click", function () {
            $.aoyouone("travelers_select");
        });
        $scope.isActive = function (value) {
            for (var i = 0; i < $scope.p.length; i++) {
                if ($scope.p[i].MemberGuestID == value) {
                    return true;
                }
            }
        }
        $("body").on("click", ".aoyou-card ul li span", function () {
            var $this = $(this);
            if ($this.text().indexOf('编辑资料') !== -1) {
                $('#travelers_person h1').text('编辑常用出行人');
                showPassportNum();
                $.aoyouone("travelers_person");

                var param = JSON.stringify({
                    MemberID: api.getMemberId(),
                    MemberGuestID: $this.attr('data-number')
                });
                api.post($http, $scope, api.config.memberlogic, 'TripPerson', 'GetTripPersonDetail', param, false, function (obj) {
                    if (obj.ErrorCode == 200) {
                        if (obj.JsonResult != null) {
                            $scope.t = JSON.parse(obj.JsonResult);
                            $scope.t.ValidDate = dateFormat(new Date($scope.t.ValidDate.replace(/-/g, '/').replace(/T/, ' ')), "yyyy-MM-dd");
                        }
                        else {
                            aoyou.toast(obj.ErrorMsg);
                        }
                    }
                });

            } else {
                if ($this.find("i").attr("class") == "aoyou-sel") {                   
                    for (var j = 0; j < $scope.p.length; j++) {
                        if ($scope.p[j].MemberGuestID == $this.attr('data-number')) {
                            return;
                        }

                    }
                    $this.addClass("aoyou-span-sel").find("i").removeClass().addClass("aoyou-selactive").end().find("label").text("已选择");
                    for (var i = 0; i < $scope.Travelers.length; i++) {
                        if ($scope.Travelers[i].MemberGuestID == $this.attr('data-number')) {
                            $scope.p[selectIndex].MemberGuestID = $scope.Travelers[i].MemberGuestID;
                            $scope.p[selectIndex].Name = $scope.Travelers[i].Name;
                            $scope.p[selectIndex].Birthday = dateFormat(new Date($scope.Travelers[i].BirthDay.replace(/-/g, '/').replace(/T/, ' ')), "yyyy-MM-dd");
                            $scope.p[selectIndex].CertificateNo = $scope.Travelers[i].VoucherNo;
                            $scope.p[selectIndex].CertificateType = $scope.Travelers[i].VoucherType;
                            $scope.p[selectIndex].Sex = $scope.Travelers[i].Sex;
                            break;
                        }
                    }                   
                    $.aoyouone("aoyou_mainpage");                  
                    var top = document.body.scrollHeight * 0.5;
                    window.scrollTo(0, top);
                    $scope.$apply();
                }
                else {
                    for (var j = 0; j < $scope.p.length; j++) {
                        if ($scope.p[j].MemberGuestID == $this.attr('data-number') && j != selectIndex) {
                            return;
                        }

                    }
                    $this.removeClass("aoyou-span-sel").find("i").removeClass().addClass("aoyou-sel").end().find("label").text("选择出行人");
                    for (var i = 0; i < $scope.Travelers.length; i++) {
                        if ($scope.Travelers[i].MemberGuestID == $this.attr('data-number')) {
                            $scope.p[selectIndex].MemberGuestID = 0;
                            $scope.p[selectIndex].Name = '添加出行人信息';
                            $scope.p[selectIndex].Birthday = '';
                            $scope.p[selectIndex].CertificateNo = '';
                            $scope.p[selectIndex].CertificateType = '';
                            $scope.p[selectIndex].Sex = 0;
                            break;
                        }
                    }
                    $scope.$apply();
                }

            }
        });

        //打开新增
        $('#travelers_add').on("tap", function () {
            $('#travelers_person h1').text('新增常用出行人');
            $scope.t = {};
            $scope.t.TravelType = $scope.cards[0].id;
            showPassportNum();
            $scope.$apply();
            $.aoyouone("travelers_person");

        });

        $(".aoyou-choice,.aoyou-choicesel").on("tap", function () {
            var $this = $(this);
            $this.hasClass('aoyou-choice') ? $this.addClass("aoyou-choicesel").removeClass("aoyou-choice") : $this.addClass("aoyou-choice").removeClass("aoyou-choicesel");
        });

        $scope.saveTraveler = function () {

            if (typeof ($scope.t.Name) == 'undefined' || $scope.t.Name == null || typeof ($scope.t.Name) == "string") {
                if (!checkname($scope.t.Name)) {
                    return false;
                }
            }


            if (!checkcardno($scope.t.VoucherNo)) {
                return false;
            }


            $scope.t.MemberID = api.getMemberId();
            $scope.t.VoucherType = 1;

            var param = JSON.stringify($scope.t);
            api.post($http, $scope, api.config.memberlogic, 'TripPerson', 'AddOrUpdateTripPerson', param, false, function (obj) {
                if (obj.ErrorCode == 200) {
                    if (obj.JsonResult != null) {
                        $.aoyouone("travelers_select");
                        var param = JSON.stringify({
                            MemberID: api.getMemberId()
                        });
                        api.post($http, $scope, api.config.memberlogic, 'TripPerson', 'GetTripPersonList', param, false, function (obj) {
                            if (obj.ErrorCode == 200) {
                                if (obj.JsonResult != null) {

                                    $scope.Travelers = JSON.parse(obj.JsonResult);
                                }
                                else {
                                    aoyou.toast(obj.ErrorMsg);
                                }
                            }
                        });
                    }
                    else {
                        aoyou.toast(obj.ErrorMsg);
                    }
                } else {
                    aoyou.toast(obj.ErrorMsg);
                }
            });
        };

        $('.aoyou-table-num .aoyou-integral-input').on("blur", function () {
            var $this = $(this);
            if ($this.val() * 1000 > parseInt($('.aoyou-table-view-cell').first().find('input').val())) {
                $this.val('');
                $("#submit").addClass('aoyou-btndisable');
                $('#total').val(0);
                return false;
            }

            $this.val() > 0 ? $("#submit").removeClass('aoyou-btndisable') : $("#submit").addClass('aoyou-btndisable');
            $this.val() > 0 ? $('#total').val($this.val() * 1000) : $('#total').val(0);
        });

        //下一步
        $('#btnSubmit').on('tap', function () {
            //预定验证
            var vContact = validateContact("inputContact");
            if (vContact.ErrorCode != 200) {
                aoyou.toast(vContact.ErrorMsg);
                return false;
            }

            var vMobile = validateMobile("inputMobile");
            if (vMobile.ErrorCode != 200) {
                aoyou.toast(vMobile.ErrorMsg);
                return false;
            }

            var vEmail = validateEmail("inputEmail");
            if (vEmail.ErrorCode != 200) {
                aoyou.toast(vEmail.ErrorMsg);
                return false;
            }

            var jsonData = $scope.d;
            //最小预定人数验证
            var vMinNumber = minTripMumberValidate(jsonData);
            if (vMinNumber.ErrorCode != 200) {
                aoyou.toast(vMinNumber.ErrorMsg);
                return false;
            }

            //预定
            var booksubmit = function () {
                //组合预定数据
                var customer = [];
                if ($scope.p != null) {
                    for (var i = 0; i < $scope.p.length; i++) {
                        if ($scope.p[i].MemberGuestID != "") {
                            customer.push($scope.p[i]);
                        }
                    }
                }
                var controller = "Reservation";
                var actionName = "Free";
                var param = "";
                var source = 0;
                //1：优惠频道2：交行优惠3：elong合作4：手机网站5：苏宁易购6：App预订-iphone 8：App预订-安卓9：App预订-iphone-抢优惠10：App预订-ipad-抢优惠
                //11：App预订-安卓-抢优惠12：APP摇一摇奖品13：京东订单14：wap网站15：wap网站—抢游惠17：微店

                if (api.getQueryString("devicetype") == "ios") {
                    source = 6;
                }
                else if (api.getQueryString("devicetype") == "android") {
                    source = 8;
                }
                else if (microshopid != null && typeof (microshopid) != "undefined" && microshopid != "") {
                    source = 17;
                }
                else {
                    source = 14;
                }

                // jsonData.ProductType = producttype;
                if (jsonData.ProductType == 4) {//自由行
                    if (jsonData.ProFlag == 3) {//多机多酒
                        actionName = "FreeCombined";
                    }
                    else {
                        actionName = "Free";
                    }
                    param = JSON.stringify(
                    {
                        "Source": source,
                        "ChildCount": jsonData.ChildCount,
                        "TravelerList": customer,
                        "IsContractConfirmed": false,
                        "Contact": jsonData.Contact,
                        "ContactEmail": jsonData.ContactEmail,
                        "CustomerID": jsonData.CustomerID,
                        "CustomerName": jsonData.Contact,
                        "RoomCount": jsonData.RoomCount,
                        "ProductID": jsonData.ProductID,
                        "AdditionProductList": [],
                        "AdultCount": jsonData.AdultCount,
                        "ContactMobile": jsonData.ContactMobile,
                        "DepartDate": jsonData.DepartDate,
                        "AirSlnId": 0,
                        "HotelSlnIDList": [],
                        "ShopID": microshopid
                    });
                }
                else if (producttype == 1) {//参团
                    actionName = "Group";
                    var GuestNum = 0;
                    if (jsonData.PriceDetailList != null) {
                        for (var i = 0; i < jsonData.PriceDetailList.length; i++) {
                            GuestNum += jsonData.PriceDetailList[i].ReserveCount;
                        }
                    }

                    param = JSON.stringify(
                    {
                        "IsContractConfirmed": false,
                        "Contact": jsonData.Contact,
                        "ContactEmail": jsonData.ContactEmail,
                        "ProductID": jsonData.ProductID,
                        "AdultCount": GuestNum,
                        "GroupID": jsonData.GroupID,
                        "Source": source,
                        "ChildCount": 0,
                        "TravelerList": customer,
                        "PriceDetailList": jsonData.PriceDetailList,
                        "CustomerID": jsonData.CustomerID,
                        "CustomerName": jsonData.Contact,
                        "GuestNum": GuestNum,
                        "ContactMobile": jsonData.ContactMobile,
                        "DepartDate": jsonData.DepartDate,
                        "ShopID": microshopid
                    });
                }
                //提交预定
                api.post($http, $scope, api.config.bookinglogic, controller, actionName, param, false, function (obj) {
                    if (obj.ErrorCode == 200) {
                        if (obj.JsonResult != null) {
                            //统计
                            tongji();
                            $scope.d.ProductType = producttype;
                            $scope.$apply();
                            aoyou.toast("预定成功");
                            api.loading();
                            var data = JSON.parse(obj.JsonResult);

                            if (api.getQueryString("devicetype") == "ios") {
                                var successParam = {
                                    OrderID: data.OrderID,
                                    MainOrderID: data.MainOrderID,
                                    OrderNo: data.OrderNo,
                                    IsCanPay: data.IsCanPay,
                                    PayID: data.PayID,
                                    ProductType: producttype
                                };
                               window.location.href="action.bookingSuccess://" + JSON.stringify(successParam);
                            }
                            else if (api.getQueryString("devicetype") == "android") {
                                var successParam = {
                                    OrderID: data.OrderID,
                                    MainOrderID: data.MainOrderID,
                                    OrderNo: data.OrderNo,
                                    IsCanPay: data.IsCanPay,
                                    PayID: data.PayID,
                                    ProductType: producttype
                                };
                                window.action.exec('bookingSuccess', JSON.stringify(successParam));
                            }
                            else {
                                location.href = "https://mpay.aoyou.com/S/Pay/Index.html?orderid=" + data.OrderID + "&mainorderid=" + data.MainOrderID + "&payid=" + data.PayID;
                            }
                        }
                    }
                    else {
                        aoyou.toast(obj.ErrorMsg);
                    }
                });
            }

            if (jsonData.ProductType == 4) {//自由行
                //验证单间差
                var vBooking = bookingValidate(jsonData);
                if (vBooking.ErrorCode != 200) {
                    mask = aoyou.createMask();
                    mask.show();
                    aoyou.dialogbtn(vBooking.ErrorMsg, "确定", "取消");
                    $('.aoyou-dialog-close').on("tap", function (e) {
                        $('.aoyou-dialog-view').remove();
                        mask.close();
                    });
                    $('.aoyou-btn-left').on("tap", function (e) {
                        $('.aoyou-dialog-view').remove();
                        mask.close();
                        //提交订单
                        booksubmit();
                    });
                    $('.aoyou-btn-right').on("tap", function (e) {
                        $('.aoyou-dialog-view').remove();
                        mask.close();
                        return false;
                    });
                }
                else {
                    //提交订单
                    booksubmit();
                }
            }
            else if (jsonData.ProductType == 1) {//参团
                //提交订单
                booksubmit();
            }

        });

        //隐藏图示
        var val = $("#TravelType").val();
        if (val == "5" || val == "6") {
            $(".aoyou-sub-tip").hide();
        } else {
            $(".aoyou-sub-tip").show();
        }

        //统计代码------------------------------------------------------------------------------------------------------
        var tongji = function () {
            var acount = $scope.d.AdultCount;
            var ccount = $scope.d.ChildCount;
            var rcount = $scope.d.RoomCount;
            if ($scope.d.ProductType = 1) {//参团
                var c = 0;
                if ($scope.d.PriceDetailList != null) {
                    for (var i = 0; i < $scope.d.PriceDetailList.length; i++) {
                        c += $scope.d.PriceDetailList[i].ReserveCount;
                    }
                }
                acount = c;
                ccount = 0;
                rcount = 0;
            }

            if (typeof (acount) == "undefined") {
                acount = 0;
            }
            if (typeof (ccount) == "undefined") {
                ccount = 0;
            }
            if (typeof (rcount) == "undefined") {
                rcount = 0;
            }

            var sUserAgent = navigator.userAgent.toLowerCase();
            var bIsIpad = sUserAgent.match(/ipad/i) == "ipad";
            var bIsIphoneOs = sUserAgent.match(/iphone os/i) == "iphone os";
            var bIsAndroid = sUserAgent.match(/android/i) == "android";
            var bIsCE = sUserAgent.match(/windows ce/i) == "windows ce";
            var bIsWM = sUserAgent.match(/windows mobile/i) == "windows mobile";
            var bIsMidp = sUserAgent.match(/midp/i) == "midp";
            var bIsUc7 = sUserAgent.match(/rv:1.2.3.4/i) == "rv:1.2.3.4";
            var bIsUc = sUserAgent.match(/ucweb/i) == "ucweb";

            var typeValue = "m";
            if (bIsIpad || bIsIphoneOs || bIsAndroid || bIsCE || bIsWM || bIsMidp || bIsUc7 || bIsUc) {
                typeValue = "m";
            }
            else {
                typeValue = "d";
            }

            window.criteo_q = window.criteo_q || [];
            window.criteo_q.push(
                    { event: "setAccount", account: 21994 },
                    { event: "setHashedEmail", email: "" },
                    { event: "setSiteType", type: typeValue },
                    {
                        event: "viewSearch", checkin_date: $scope.d.DepartDate
                    },
                    {
                        event: "viewBasket", nbra: acount, nbrc: ccount, nbrr: rcount, item: [{ id: $scope.d.ProductID, price: $scope.d.ShowPrice, quantity: 1 }]
                    });
        }
        //-------------------------------------------------------------------------------------------------------------
    });
});

//最小预定人数验证
function minTripMumberValidate(jsonData) {
    var result = { ErrorCode: 200 };
    //房间数*2小于成人数+儿童数，提示
    var totalCount = jsonData.AdultCount + jsonData.ChildCount;
    if (totalCount < jsonData.MinTripNumber) {
        result.ErrorCode = -2;
        result.ErrorMsg = "您选择的人数低于本产品最少预订人数，请重新选择人数";
    }
    return result;
}

//预定验证
function bookingValidate(jsonData) {
    var result = { ErrorCode: 200 };
    //房间数*2小于成人数+儿童数，提示
    var totalCount = jsonData.AdultCount + jsonData.ChildCount;
    if (totalCount > jsonData.RoomCount * 2) {
        result.ErrorCode = -2;
        result.ErrorMsg = "根据酒店要求，大于等于3人选择入住一间酒店会产生费用的增加，预订成功后，待销售人员与您电话确认。";
    }
    else if (totalCount < jsonData.RoomCount) {
        result.ErrorCode = -2;
        result.ErrorMsg = "根据酒店要求，入住人数小于房间数会给您产生费用的增加，预订成功后，待销售人员与您电话确认";
    }
    return result;
}

//验证姓名
function validateContact(sectionId) {
    var result = { ErrorCode: 200 };
    if (sectionId != undefined && sectionId != "") {
        var value = $("#" + sectionId).val();
        if (value != undefined && value != null && value != "") {
            //中文
            var myReg = /^[\u4e00-\u9fa5]+$/;
            if (value.length < 2 || value.length > 8) {
                result.ErrorCode = -2;
                result.ErrorMsg = "请重新输入姓名";
            }
            else if (myReg.test(value)) {
                result.ErrorCode = 200;
            }
            else {
                result.ErrorCode = -2;
                result.ErrorMsg = "请重新输入姓名";
            }
        }
        else {
            result.ErrorCode = -2;
            result.ErrorMsg = "请输入姓名";
        }
    }
    return result;
}

//验证手机
function validateMobile(sectionId) {
    var result = { ErrorCode: 200 };
    var regMobile = /^1[3|4|5|8][0-9]{9}$/i;
    if (sectionId != undefined && sectionId != "") {
        var value = $("#" + sectionId).val();
        if (value != undefined && value != null && value != "") {
            if (regMobile.test($("#" + sectionId).val())) {
                result.ErrorCode = 200;
            }
            else {
                result.ErrorCode = -2;
                result.ErrorMsg = "请输入正确的手机号码";
            }
        }
        else {
            result.ErrorCode = -2;
            result.ErrorMsg = "请输入手机号码";
        }
    }
    return result;
}

//验证邮箱
function validateEmail(sectionId) {
    var result = { ErrorCode: 200 };
    var regEmail = /^([a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+((\.[a-zA-Z0-9_-]{2,3}){1,2})$/;
    if (sectionId != undefined && sectionId != "") {
        var value = $("#" + sectionId).val();
        if (value != undefined && value != null && value != "") {
            if (regEmail.test($("#" + sectionId).val())) {
                result.ErrorCode = 200;
            }
            else {
                result.ErrorCode = -2;
                result.ErrorMsg = "请输入正确的邮箱";
            }
        }
        else {
            result.ErrorCode = -2;
            result.ErrorMsg = "请输入邮箱";
        }
    }
    return result;
}

// 对Date的扩展，将 Date 转化为指定格式的String 
// 月(M)、日(d)、小时(h)、分(m)、秒(s)、季度(q) 可以用 1-2 个占位符， 
// 年(y)可以用 1-4 个占位符，毫秒(S)只能用 1 个占位符(是 1-3 位的数字) 
// 例子： 
// (new Date()).Format("yyyy-MM-dd hh:mm:ss.S") ==> 2006-07-02 08:09:04.423 
// (new Date()).Format("yyyy-M-d h:m:s.S")      ==> 2006-7-2 8:9:4.18 
function dateFormat(data, fmt) { //author: meizz 
    var o = {
        "M+": data.getMonth() + 1,                 //月份 
        "d+": data.getDate(),                    //日 
        "h+": data.getHours(),                   //小时 
        "m+": data.getMinutes(),                 //分 
        "s+": data.getSeconds(),                 //秒 
        "q+": Math.floor((data.getMonth() + 3) / 3), //季度 
        "S": data.getMilliseconds()             //毫秒 
    };
    if (/(y+)/.test(fmt))
        fmt = fmt.replace(RegExp.$1, (data.getFullYear() + "").substr(4 - RegExp.$1.length));
    for (var k in o)
        if (new RegExp("(" + k + ")").test(fmt))
            fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
    return fmt;
}

//切换护照证件号码图片
function showPassportNum() {
    var val = $("#TravelType").val();
    if (val == "3") {
        val = "8";
    } else if (val == "4") {
        val = "9";
    }
    switch (val) {
        case '8':
        case '9':
            $(".aoyou-sub-tip").show();
            $("#imgpass").attr("src", "http://pic3.aoyou.com/webapp/mmy/passportnum" + val + ".jpg");
            break;
        case '5':
        case '6':
            $(".aoyou-sub-tip").hide();
            break;
        default:
            $(".aoyou-sub-tip").show();
            $("#imgpass").attr("src", "http://pic3.aoyou.com/webapp/mmy/passportnum0.jpg");
            break;
    }
}

//切换护照签发地图片
function showPassportPlaceImg() {
    var val = $("#TravelType").val();
    if (val == "3") {
        val = "8";
    } else if (val == "4") {
        val = "9";
    }
    switch (val) {
        case '8':
        case '9':
            $("#imgpass").attr("src", "http://pic3.aoyou.com/webapp/mmy/passportplace" + val + ".jpg");
            break;
        default:
            $("#imgpass").attr("src", "http://pic3.aoyou.com/webapp/mmy/passportplace0.jpg");
            break;
    }
}

//切换护照有效期图片
function showPassportDate() {
    var val = $("#TravelType").val();
    if (val == "3") {
        val = "8";
    } else if (val == "4") {
        val = "9";
    }
    switch (val) {
        case '8':
        case '9':
            $("#imgpass").attr("src", "http://pic3.aoyou.com/webapp/mmy/passportdate" + val + ".jpg");
            break;
        default:
            $("#imgpass").attr("src", "http://pic3.aoyou.com/webapp/mmy/passportdate0.jpg");
            break;
    }
}
//汉字名字
function checkname(value) {
    var pattern = /^[\u0391-\uFFE5]+$/;
    var re = /^[a-zA-Z\d\u4e00-\u9fa5]+$/;

    if ((!CheckRegExp(pattern, value)) || (!re.test(value))) {
        aoyou.toast("请输入中文姓名");
        return false;
    }
    else if (value.length > 8 || value.length <= 1) {
        aoyou.toast("请正确输入中文姓名");
        return false;
    }

    return true;
}
//统一验证函数
function CheckRegExp(pattern, value) {
    var reg = new RegExp(pattern);
    return reg.exec(value) != null ? true : false;
}

//验证空
function IsEmptyText(s) {
    if (s == null || s == undefined || s.replace(/^\s+|\s+$/g, "") == "") {
        return false;
    }
    else {
        return true;
    }
}

//验证身份证号
function IDCardValidate(s) {
    var pattern = /^\d{15}(\d{2}[xX0-9])?$/;
    var reg = new RegExp(pattern);
    return reg.test(s);
}

//证件号码
function checkcardno(value) {
    var Type = "1";
    var reg = /[\s]/g;

    if (IsEmptyText(value)) {
        if (Type == "1") {//身份证自动带出
            if (value.length != 18 || !IDCardValidate(value) || parseInt(value.substring(6, 10), 10) < 1930 ||
                parseInt(value.substring(6, 10), 10) > 2020 || parseInt(value.substring(10, 12), 10) > 12 || parseInt(value.substring(10, 12), 10) < 1
                 || parseInt(value.substring(12, 14), 10) < 1 || parseInt(value.substring(12, 14), 10) > 31 || !checkIdCard(value)) {
                aoyou.toast("身份证号码格式错误");
                return false;
            }
        }
        else if (value.length > 20) {
            aoyou.toast("身份证号长度需小于20");
            return false;
        }
    }
    return true;
}

//检查身份证号码
function checkIdCard(idcard) {
    var area = { 11: "北京", 12: "天津", 13: "河北", 14: "山西", 15: "内蒙古", 21: "辽宁", 22: "吉林", 23: "黑龙江", 31: "上海", 32: "江苏", 33: "浙江", 34: "安徽", 35: "福建", 36: "江西", 37: "山东", 41: "河南", 42: "湖北", 43: "湖南", 44: "广东", 45: "广西", 46: "海南", 50: "重庆", 51: "四川", 52: "贵州", 53: "云南", 54: "西藏", 61: "陕西", 62: "甘肃", 63: "青海", 64: "宁夏", 65: "新疆", 71: "台湾", 81: "香港", 82: "澳门", 91: "国外" }

    var idcard, Y, JYM, JYM_X;
    var S, M, M_X;
    var idcard_array = new Array();
    idcard_array = idcard.split("");
    /*地区检验*/
    if (area[parseInt(idcard.substr(0, 2))] == null) {
        return false;
    }
    if (parseInt(idcard.substr(6, 4)) % 4 == 0 || (parseInt(idcard.substr(6, 4)) % 100 == 0 && parseInt(idcard.substr(6, 4)) % 4 == 0)) {
        ereg = /^[1-9][0-9]{5}(19|20)[0-9]{2}((01|03|05|07|08|10|12)(0[1-9]|[1-2][0-9]|3[0-1])|(04|06|09|11)(0[1-9]|[1-2][0-9]|30)|02(0[1-9]|[1-2][0-9]))[0-9]{3}[0-9Xx]$/; //闰年出生日期的合法性正则表达式  
    }
    else {
        ereg = /^[1-9][0-9]{5}(19|20)[0-9]{2}((01|03|05|07|08|10|12)(0[1-9]|[1-2][0-9]|3[0-1])|(04|06|09|11)(0[1-9]|[1-2][0-9]|30)|02(0[1-9]|1[0-9]|2[0-8]))[0-9]{3}[0-9Xx]$/; //平年出生日期的合法性正则表达式  
    }
    if (ereg.test(idcard)) {//测试出生日期的合法性  
        //计算校验位  
        S = (parseInt(idcard_array[0]) + parseInt(idcard_array[10])) * 7
						+ (parseInt(idcard_array[1]) + parseInt(idcard_array[11])) * 9
						+ (parseInt(idcard_array[2]) + parseInt(idcard_array[12])) * 10
						+ (parseInt(idcard_array[3]) + parseInt(idcard_array[13])) * 5
						+ (parseInt(idcard_array[4]) + parseInt(idcard_array[14])) * 8
						+ (parseInt(idcard_array[5]) + parseInt(idcard_array[15])) * 4
						+ (parseInt(idcard_array[6]) + parseInt(idcard_array[16])) * 2
						+ parseInt(idcard_array[7]) * 1
						+ parseInt(idcard_array[8]) * 6
						+ parseInt(idcard_array[9]) * 3;
        Y = S % 11;
        M = "F";
        JYM = "10x98765432";
        JYM_X = "10X98765432";
        M = JYM.substr(Y, 1); /*判断校验位*/
        M_X = JYM_X.substr(Y, 1); /*判断校验位*/

        if (M == idcard_array[17] || M_X == idcard_array[17]) {
            return true; /*检测ID的校验位false;*/
        }
        else {
            return false;
        }
    }
    else {
        return false;
    }
}

//旅游证件号码验证
function checkpassportno(value) {

    var sender = $("#TravelNo");
    if (sender.length == 1) {
        if (sender.val().length > 50) {
            aoyou.toast("证件号长度需小于50");
            return false;
        }
    }
    return true;
}

//andriod返回键
function andriodGoBack() {

    var isMainView = $("#aoyou_mainpage").attr('class').indexOf('aoyou-hidden') < 0;

    var isSelectView = $("#travelers_select").attr('class').indexOf('aoyou-hidden') < 0;

    var isPersonView = $("#travelers_person").attr('class').indexOf('aoyou-hidden') < 0;

    if (isMainView) {
        window.action.exec('back', '');
    }
    if (isSelectView) {
        $.aoyouone('aoyou_mainpage');
    }
    if (isPersonView) {
        $.aoyouone('travelers_select');
    }
}
